<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/entities/basebuilding/electricity/expansionbaselights.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/dbd/expansionbaselights_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionbaselights.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/dbd/expansionbaselights_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html">    1</a></span><span class="keyword">class </span>ExpansionBaseLightBase <span class="keyword">extends</span> <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a5008c46e84f3331979caefe3c846196c">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a5008c46e84f3331979caefe3c846196c">ExpansionCanRecievePower</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a2b29afb0e524bcb961681f37190d9a9d">    8</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a2b29afb0e524bcb961681f37190d9a9d">OnWorkStart</a>()</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        GetGame().CreateObject(<span class="stringliteral">&quot;ExplosionTest&quot;</span>, this.<a class="code hl_function" href="../../d5/dc8/expansionterritory_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>());</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a45bcceec0acd0ccdc9d6afd42d4e839a">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a45bcceec0acd0ccdc9d6afd42d4e839a">SetActions</a>()</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        super.SetActions();</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        AddAction(ActionTogglePlaceObject);</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        AddAction(ActionPlaceObject);</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>};</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d4/d30/class_spotlight.html">   22</a></span>modded <span class="keyword">class </span><a class="code hl_class" href="../../d4/d30/class_spotlight.html">Spotlight</a></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>{</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d4/d30/class_spotlight.html#a993a9e0c5d36ba0bd4d8e92f7d7a41a6">   24</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d4/d30/class_spotlight.html#a993a9e0c5d36ba0bd4d8e92f7d7a41a6">ExpansionCanRecievePower</a>()</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>}</div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dbd/expansionbaselights_8c_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aclass_item_base_html_a2b29afb0e524bcb961681f37190d9a9d"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a2b29afb0e524bcb961681f37190d9a9d">ItemBase::OnWorkStart</a></div><div class="ttdeci">override void OnWorkStart()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dbd/expansionbaselights_8c_source.html#l00008">expansionbaselights.c:8</a></div></div>
<div class="ttc" id="aclass_item_base_html_a45bcceec0acd0ccdc9d6afd42d4e839a"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a45bcceec0acd0ccdc9d6afd42d4e839a">ItemBase::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dbd/expansionbaselights_8c_source.html#l00013">expansionbaselights.c:13</a></div></div>
<div class="ttc" id="aclass_item_base_html_a5008c46e84f3331979caefe3c846196c"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a5008c46e84f3331979caefe3c846196c">ItemBase::ExpansionCanRecievePower</a></div><div class="ttdeci">override bool ExpansionCanRecievePower()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dbd/expansionbaselights_8c_source.html#l00003">expansionbaselights.c:3</a></div></div>
<div class="ttc" id="aclass_spotlight_html"><div class="ttname"><a href="../../d4/d30/class_spotlight.html">Spotlight</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dbd/expansionbaselights_8c_source.html#l00022">expansionbaselights.c:23</a></div></div>
<div class="ttc" id="aclass_spotlight_html_a993a9e0c5d36ba0bd4d8e92f7d7a41a6"><div class="ttname"><a href="../../d4/d30/class_spotlight.html#a993a9e0c5d36ba0bd4d8e92f7d7a41a6">Spotlight::ExpansionCanRecievePower</a></div><div class="ttdeci">override bool ExpansionCanRecievePower()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dbd/expansionbaselights_8c_source.html#l00024">expansionbaselights.c:24</a></div></div>
<div class="ttc" id="aexpansionterritory_8c_html_a68c83d319275347dcd1c0c4da8734703"><div class="ttname"><a href="../../d5/dc8/expansionterritory_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a></div><div class="ttdeci">vector GetPosition()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc8/expansionterritory_8c_source.html#l00293">expansionterritory.c:293</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_e66306a3976d6d81f5e1305840c1314d.html">BaseBuilding</a></li><li class="navelem"><a class="el" href="../../dir_92106a510097343a3fe1c14124c59151.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_844bf89108e22cf51aae4b5452c2c906.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_a0e24776517e17f620f1adfb86971bb4.html">dayzexpansion_basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_4995a40041868e6722cdb7419e4f96ba.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_d76d15f1a001f28b24d297fe71ced766.html">basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_77296d8cfea458d95646465f0031f58e.html">electricity</a></li><li class="navelem"><a class="el" href="../../d4/dbd/expansionbaselights_8c.html">expansionbaselights.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
